package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hanghui.outapi.platform.common.utils.Preconditions;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum UseConfigEnum {

    /**
     * 使用配置
     * useExpirationDate 使用时间期限
     */

    USE_EXPIRATION_DATE("USE_EXPIRATION_DATE", "使用时间期限"),
    ;

    private String code;
    private String desc;

    public static UseConfigEnum findByCode(String code) {
        if (Preconditions.isBlank(code)) {
            return null;
        }
        for (UseConfigEnum enumObject : values()) {
            if (enumObject.code.equals(code)) {
                return enumObject;
            }
        }
        return null;
    }

}
